plugins {
    java
}

repositories {
    mavenCentral()
    maven("https://maven.frohnmeyer-wds.de/artifacts")
}

dependencies {
    annotationProcessor(project(":gson-compile-processor"))
    compileOnly(project(":gson-compile-annotations"))
    implementation(project(":gson-compile-core"))

    val manifoldVersion = "2022.1.27"

    implementation("systems.manifold:manifold-ext-rt:$manifoldVersion")
    annotationProcessor("systems.manifold:manifold-ext:$manifoldVersion")
}

tasks.withType<JavaCompile> {
    options.compilerArgs.addAll(arrayOf("-AgsonCompileNoReflect", "-Xplugin:Manifold no-bootstrap"))
}